Summary: X.Org X11 libXt runtime library
Name: libXt
Version: 1.2.1
Release: 3%{?dist}
License: MIT
URL: https://www.x.org
Source0: https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(xproto) pkgconfig(x11) pkgconfig(sm)
BUildRequires: libX11-devel >= 1.6
Requires: libX11 >= 1.6

%description
libXt provides the X Toolkit Intrinsics, an abstract widget library upon 
which other toolkits are based. Xt is the basis for many toolkits, including 
the Athena widgets (Xaw), and LessTif (a Motif implementation).

%package devel
Summary: X.Org X11 libXt development package
Requires: libXt = %{version}-%{release}

%description devel
libXt is a library of X11 toolkit intrinsics, contains the development headers for the library found in libxt6.

%prep
%autosetup 

%build
autoreconf -fiv
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --disable-static \
    --with-xfile-search-path="%{_sysconfdir}/X11/%%L/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%l/%%T/\%%N%%C%%S:%{_sysconfdir}/X11/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%L/%%T/%%N%%S:%{_sysconfdir}/X\11/%%l/%%T/%%N%%S:%{_sysconfdir}/X11/%%T/%%N%%S:%{_datadir}/X11/%%L/%%T/%%N%%C%%S:%{_datadir}/X1\1/%%l/%%T/%%N%%C%%S:%{_datadir}/X11/%%T/%%N%%C%%S:%{_datadir}/X11/%%L/%%T/%%N%%S:%{_datadir}/X11/%%\l/%%T/%%N%%S:%{_datadir}/X11/%%T/%%N%%S"

%make_build

%install
%make_install

install -d -m 0755 %{buildroot}%{_datadir}/X11/app-defaults
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%{_libdir}/libXt.so.*
%dir %{_datadir}/X11/app-defaults

%files devel
%{_docdir}/libXt/*.xml
%{_includedir}/X11/*.h
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 Wang Zhe <bessiewang@tencent.com> - 1.2.1-1
- initial build
